Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOPC.h File Reference

`#include "ace/pre.h"`
`#include "TAO_Export.h"`
`#include "Any.h"`
`#include "Object.h"`
`#include "Exception.h"`
`#include "CDR.h"`
`#include "Sequence.h"`
`#include "ace/post.h"`

Include dependency graph for IOPC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _IOP_TAGGEDPROFILE__TAO_SEQ_OCTET_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CH_
#define | _IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CH_
#define | _IOP_TAGGEDCOMPONENT__TAO_SEQ_OCTET_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CH_
#define | _IOP_MULTIPLECOMPONENTPROFILE_CH_
#define | _IOP_MULTIPLECOMPONENTPROFILE___VAR_CH_
#define | _IOP_MULTIPLECOMPONENTPROFILE___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CH_
#define | _IOP_TAGGEDCOMPONENTLIST_CH_
#define | _IOP_TAGGEDCOMPONENTLIST___VAR_CH_
#define | _IOP_TAGGEDCOMPONENTLIST___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CH_
#define | _IOP_TAGGEDCOMPONENTSEQ_CH_
#define | _IOP_TAGGEDCOMPONENTSEQ___VAR_CH_
#define | _IOP_TAGGEDCOMPONENTSEQ___OUT_CH_
#define | _IOP_SERVICECONTEXT__TAO_SEQ_OCTET_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CH_
#define | _IOP_SERVICECONTEXTLIST_CH_
#define | _IOP_SERVICECONTEXTLIST___VAR_CH_
#define | _IOP_SERVICECONTEXTLIST___OUT_CH_
#define | _IOP_CODEC___PTR_CH_
#define | _IOP_CODEC___VAR_CH_
#define | _IOP_CODEC___OUT_CH_
#define | _IOP_CODEC_CH_
#define | _IOP_CODEC_INVALIDTYPEFORENCODING_CH_
#define | _IOP_CODEC_FORMATMISMATCH_CH_
#define | _IOP_CODEC_TYPEMISMATCH_CH_
#define | _IOP_CODECFACTORY___PTR_CH_
#define | _IOP_CODECFACTORY___VAR_CH_
#define | _IOP_CODECFACTORY___OUT_CH_
#define | _IOP_CODECFACTORY_CH_
#define | _IOP_CODECFACTORY_UNKNOWNENCODING_CH_
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IOP::TaggedProfile &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IOP::TaggedProfile &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IOP::IOR &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IOP::IOR &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IOP::TaggedComponent &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IOP::TaggedComponent &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IOP::ServiceContext &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IOP::ServiceContext &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IOP::Encoding &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IOP::Encoding &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

#define _IOP_CODECFACTORY_CH_

#define _IOP_CODECFACTORY_UNKNOWNENCODING_CH_

#define _IOP_CODECFACTORY___OUT_CH_

#define _IOP_CODECFACTORY___PTR_CH_

#define _IOP_CODECFACTORY___VAR_CH_

#define _IOP_CODEC_CH_

#define _IOP_CODEC_FORMATMISMATCH_CH_

#define _IOP_CODEC_INVALIDTYPEFORENCODING_CH_

#define _IOP_CODEC_TYPEMISMATCH_CH_

#define _IOP_CODEC___OUT_CH_

#define _IOP_CODEC___PTR_CH_

#define _IOP_CODEC___VAR_CH_

#define _IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CH_

#define _IOP_MULTIPLECOMPONENTPROFILE_CH_

#define _IOP_MULTIPLECOMPONENTPROFILE___OUT_CH_

#define _IOP_MULTIPLECOMPONENTPROFILE___VAR_CH_

#define _IOP_SERVICECONTEXTLIST_CH_

#define _IOP_SERVICECONTEXTLIST___OUT_CH_

#define _IOP_SERVICECONTEXTLIST___VAR_CH_

#define _IOP_SERVICECONTEXT__TAO_SEQ_OCTET_CH_

#define _IOP_TAGGEDCOMPONENTLIST_CH_

#define _IOP_TAGGEDCOMPONENTLIST___OUT_CH_

#define _IOP_TAGGEDCOMPONENTLIST___VAR_CH_

#define _IOP_TAGGEDCOMPONENTSEQ_CH_

#define _IOP_TAGGEDCOMPONENTSEQ___OUT_CH_

#define _IOP_TAGGEDCOMPONENTSEQ___VAR_CH_

#define _IOP_TAGGEDCOMPONENT__TAO_SEQ_OCTET_CH_

#define _IOP_TAGGEDPROFILE__TAO_SEQ_OCTET_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_IOR__TAO_SEQ_TAGGEDPROFILE_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_MULTIPLECOMPONENTPROFILE_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_SERVICECONTEXTLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IOP_TAGGEDCOMPONENTSEQ_CH_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const IOP::Encoding & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const IOP::ServiceContext & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const IOP::TaggedComponent & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const IOP::IOR & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const IOP::TaggedProfile & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| IOP::Encoding & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| IOP::ServiceContext & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| IOP::TaggedComponent & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| IOP::IOR & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| IOP::TaggedProfile & _tao_aggregate )